{
    "defects": [
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pycdio_wrap.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘get_hwinfo’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pycdio_wrap.c",
                    "line": 3986,
                    "column": 5,
                    "event": "warning[-Wstringop-truncation]",
                    "message": "‘strncpy’ output may be truncated copying 8 bytes from a string of length 8",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3986 |     strncpy(vendor, hw_info.psz_vendor, CDIO_MMC_HW_VENDOR_LEN);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |     ^",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pycdio_wrap.c",
                    "line": 3987,
                    "column": 5,
                    "event": "warning[-Wstringop-truncation]",
                    "message": "‘strncpy’ output may be truncated copying 16 bytes from a string of length 16",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3987 |     strncpy(model, hw_info.psz_model, CDIO_MMC_HW_MODEL_LEN);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |     ^",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pycdio_wrap.c",
                    "line": 3988,
                    "column": 5,
                    "event": "warning[-Wstringop-truncation]",
                    "message": "‘strncpy’ output may be truncated copying 4 bytes from a string of length 4",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3988 |     strncpy(revision, hw_info.psz_revision, CDIO_MMC_HW_REVISION_LEN);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |     ^",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pycdio_wrap.c",
                    "line": 4185,
                    "column": 5,
                    "event": "warning[unix.Malloc]",
                    "message": "Potential leak of memory pointed to by 'result'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pycdio_wrap.c",
                    "line": 4181,
                    "column": 7,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pycdio_wrap.c",
                    "line": 4181,
                    "column": 3,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pycdio_wrap.c",
                    "line": 4183,
                    "column": 27,
                    "event": "note",
                    "message": "Memory is allocated",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pycdio_wrap.c",
                    "line": 4184,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'drc' is not equal to DRIVER_OP_SUCCESS",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pycdio_wrap.c",
                    "line": 4184,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pycdio_wrap.c",
                    "line": 4185,
                    "column": 5,
                    "event": "note",
                    "message": "Potential leak of memory pointed to by 'result'",
                    "verbosity_level": 2
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pycdio_wrap.c",
                    "line": 0,
                    "event": "internal warning",
                    "message": "child 54 timed out after 30s",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 3872,
                    "column": 3,
                    "event": "warning[unix.Malloc]",
                    "message": "Potential leak of memory pointed to by 'dst'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 5073,
                    "column": 7,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 5073,
                    "column": 3,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 5075,
                    "column": 18,
                    "event": "note",
                    "message": "'res1' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 347,
                    "column": 37,
                    "event": "note",
                    "message": "expanded from macro 'SWIG_IsOK'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 5075,
                    "column": 3,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 5080,
                    "column": 18,
                    "event": "note",
                    "message": "'ecode2' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 347,
                    "column": 37,
                    "event": "note",
                    "message": "expanded from macro 'SWIG_IsOK'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 5080,
                    "column": 3,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 5085,
                    "column": 18,
                    "event": "note",
                    "message": "'ecode3' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 347,
                    "column": 37,
                    "event": "note",
                    "message": "expanded from macro 'SWIG_IsOK'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 5085,
                    "column": 3,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 5089,
                    "column": 20,
                    "event": "note",
                    "message": "Calling 'strncpy_pad'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 3871,
                    "column": 15,
                    "event": "note",
                    "message": "Memory is allocated",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 3872,
                    "column": 3,
                    "event": "note",
                    "message": "Potential leak of memory pointed to by 'dst'",
                    "verbosity_level": 2
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 476,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘SWIG_MangledTypeQueryModule’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 621,
                    "column": 13,
                    "event": "warning[-Wanalyzer-null-dereference]",
                    "message": "dereference of NULL ‘iter’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6042,
                    "column": 22,
                    "event": "note",
                    "message": "(1) entry to ‘_wrap_ifs_get_volumeset_id’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6045,
                    "column": 9,
                    "event": "note",
                    "message": "(2) ‘argp1’ is NULL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6051,
                    "column": 6,
                    "event": "note",
                    "message": "(3) following ‘false’ branch (when ‘args’ is non-NULL)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1133,
                    "column": 57,
                    "event": "note",
                    "message": "(4) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1134,
                    "column": 57,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_Python_ConvertPtr’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6053,
                    "column": 10,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_ConvertPtr’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1133,
                    "column": 57,
                    "event": "note",
                    "message": "(5) calling ‘SWIG_Python_ConvertPtrAndOwn’ from ‘_wrap_ifs_get_volumeset_id’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1134,
                    "column": 57,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_Python_ConvertPtr’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6053,
                    "column": 10,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_ConvertPtr’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2527,
                    "column": 1,
                    "event": "note",
                    "message": "(6) entry to ‘SWIG_Python_ConvertPtrAndOwn’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2532,
                    "column": 6,
                    "event": "note",
                    "message": "(7) following ‘false’ branch (when ‘obj’ is non-NULL)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2534,
                    "column": 6,
                    "event": "note",
                    "message": "(8) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2534,
                    "column": 22,
                    "event": "note",
                    "message": "(9) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2535,
                    "column": 8,
                    "event": "note",
                    "message": "(10) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2535,
                    "column": 8,
                    "event": "note",
                    "message": "(11) following ‘true’ branch (when ‘ptr’ is non-NULL)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2536,
                    "column": 12,
                    "event": "note",
                    "message": "(12) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2537,
                    "column": 69,
                    "event": "note",
                    "message": "(13) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "cc1",
                    "line": 0,
                    "event": "note",
                    "message": "(14) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1133,
                    "column": 57,
                    "event": "note",
                    "message": "(15) returning to ‘_wrap_ifs_get_volumeset_id’ from ‘SWIG_Python_ConvertPtrAndOwn’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1134,
                    "column": 57,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_Python_ConvertPtr’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6053,
                    "column": 10,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_ConvertPtr’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6054,
                    "column": 6,
                    "event": "note",
                    "message": "(16) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6057,
                    "column": 8,
                    "event": "note",
                    "message": "(17) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6057,
                    "column": 8,
                    "event": "note",
                    "message": "(18) ‘argp1’ is NULL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6058,
                    "column": 12,
                    "event": "note",
                    "message": "(19) calling ‘ifs_get_volumeset_id’ from ‘_wrap_ifs_get_volumeset_id’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 3958,
                    "column": 1,
                    "event": "note",
                    "message": "(20) entry to ‘ifs_get_volumeset_id’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 3961,
                    "column": 6,
                    "event": "note",
                    "message": "(21) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 3962,
                    "column": 10,
                    "event": "note",
                    "message": "(22) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6058,
                    "column": 12,
                    "event": "note",
                    "message": "(23) returning to ‘_wrap_ifs_get_volumeset_id’ from ‘ifs_get_volumeset_id’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6059,
                    "column": 15,
                    "event": "note",
                    "message": "(24) calling ‘SWIG_FromCharPtr’ from ‘_wrap_ifs_get_volumeset_id’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 3831,
                    "column": 1,
                    "event": "note",
                    "message": "(25) entry to ‘SWIG_FromCharPtr’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 3833,
                    "column": 10,
                    "event": "note",
                    "message": "(26) calling ‘SWIG_FromCharPtrAndSize’ from ‘SWIG_FromCharPtr’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 3725,
                    "column": 1,
                    "event": "note",
                    "message": "(27) entry to ‘SWIG_FromCharPtrAndSize’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 3727,
                    "column": 6,
                    "event": "note",
                    "message": "(28) following ‘true’ branch (when ‘carray’ is non-NULL)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 3728,
                    "column": 8,
                    "event": "note",
                    "message": "(29) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 3728,
                    "column": 8,
                    "event": "note",
                    "message": "(30) following ‘true’ branch (when ‘size > 2147483647’)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 3729,
                    "column": 42,
                    "event": "note",
                    "message": "(31) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 3729,
                    "column": 42,
                    "event": "note",
                    "message": "(32) calling ‘SWIG_pchar_descriptor’ from ‘SWIG_FromCharPtrAndSize’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 3462,
                    "column": 1,
                    "event": "note",
                    "message": "(33) entry to ‘SWIG_pchar_descriptor’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 3466,
                    "column": 6,
                    "event": "note",
                    "message": "(34) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 3196,
                    "column": 24,
                    "event": "note",
                    "message": "(35) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 3467,
                    "column": 12,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_TypeQuery’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 3196,
                    "column": 24,
                    "event": "note",
                    "message": "(36) calling ‘SWIG_Python_TypeQuery’ from ‘SWIG_pchar_descriptor’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 3467,
                    "column": 12,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_TypeQuery’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2961,
                    "column": 1,
                    "event": "note",
                    "message": "(37) entry to ‘SWIG_Python_TypeQuery’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2967,
                    "column": 6,
                    "event": "note",
                    "message": "(38) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1168,
                    "column": 57,
                    "event": "note",
                    "message": "(39) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2970,
                    "column": 37,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_GetModule’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1168,
                    "column": 57,
                    "event": "note",
                    "message": "(40) calling ‘SWIG_Python_GetModule’ from ‘SWIG_Python_TypeQuery’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2970,
                    "column": 37,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_GetModule’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2893,
                    "column": 1,
                    "event": "note",
                    "message": "(41) entry to ‘SWIG_Python_GetModule’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2902,
                    "column": 6,
                    "event": "note",
                    "message": "(42) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2903,
                    "column": 5,
                    "event": "note",
                    "message": "(43) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1168,
                    "column": 57,
                    "event": "note",
                    "message": "(44) returning to ‘SWIG_Python_TypeQuery’ from ‘SWIG_Python_GetModule’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2970,
                    "column": 37,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_GetModule’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2971,
                    "column": 18,
                    "event": "note",
                    "message": "(45) calling ‘SWIG_TypeQueryModule’ from ‘SWIG_Python_TypeQuery’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 661,
                    "column": 1,
                    "event": "note",
                    "message": "(46) entry to ‘SWIG_TypeQueryModule’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 665,
                    "column": 25,
                    "event": "note",
                    "message": "(47) calling ‘SWIG_MangledTypeQueryModule’ from ‘SWIG_TypeQueryModule’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 616,
                    "column": 1,
                    "event": "note",
                    "message": "(48) entry to ‘SWIG_MangledTypeQueryModule’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 621,
                    "column": 13,
                    "event": "note",
                    "message": "(49) dereference of NULL ‘iter’",
                    "verbosity_level": 2
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 126,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘SWIG_Python_InstallConstants’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6882,
                    "column": 29,
                    "event": "warning[-Wanalyzer-out-of-bounds]",
                    "message": "buffer over-read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6627,
                    "column": 24,
                    "event": "note",
                    "message": "(1) capacity: 48 bytes",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 3202,
                    "column": 24,
                    "event": "note",
                    "message": "(2) entry to ‘PyInit__pyiso9660’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6967,
                    "column": 1,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_init’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 7046,
                    "column": 3,
                    "event": "note",
                    "message": "(3) calling ‘SWIG_InitializeModule’ from ‘PyInit__pyiso9660’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6690,
                    "column": 1,
                    "event": "note",
                    "message": "(4) entry to ‘SWIG_InitializeModule’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1168,
                    "column": 57,
                    "event": "note",
                    "message": "(5) calling ‘SWIG_Python_GetModule’ from ‘SWIG_InitializeModule’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6707,
                    "column": 17,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_GetModule’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2893,
                    "column": 1,
                    "event": "note",
                    "message": "(6) entry to ‘SWIG_Python_GetModule’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2902,
                    "column": 6,
                    "event": "note",
                    "message": "(7) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2907,
                    "column": 10,
                    "event": "note",
                    "message": "(8) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1168,
                    "column": 57,
                    "event": "note",
                    "message": "(9) returning to ‘SWIG_InitializeModule’ from ‘SWIG_Python_GetModule’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6707,
                    "column": 17,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_GetModule’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6708,
                    "column": 6,
                    "event": "note",
                    "message": "(10) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "cc1",
                    "line": 0,
                    "event": "note",
                    "message": "(11) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 7046,
                    "column": 3,
                    "event": "note",
                    "message": "(12) returning to ‘PyInit__pyiso9660’ from ‘SWIG_InitializeModule’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1336,
                    "column": 55,
                    "event": "note",
                    "message": "(13) calling ‘SWIG_Python_InstallConstants’ from ‘PyInit__pyiso9660’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 7086,
                    "column": 3,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_InstallConstants’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6879,
                    "column": 3,
                    "event": "note",
                    "message": "(14) entry to ‘SWIG_Python_InstallConstants’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6882,
                    "column": 17,
                    "event": "note",
                    "message": "(15) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6883,
                    "column": 7,
                    "event": "note",
                    "message": "(16) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1151,
                    "column": 57,
                    "event": "note",
                    "message": "(17) calling ‘SWIG_Python_NewPackedObj’ from ‘SWIG_Python_InstallConstants’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6888,
                    "column": 15,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_NewPackedObj’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2869,
                    "column": 1,
                    "event": "note",
                    "message": "(18) entry to ‘SWIG_Python_NewPackedObj’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2870,
                    "column": 57,
                    "event": "note",
                    "message": "(19) following ‘false’ branch (when ‘ptr’ is NULL)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2870,
                    "column": 59,
                    "event": "note",
                    "message": "(20) inlined call to ‘SWIG_Py_Void’ from ‘SWIG_Python_NewPackedObj’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/python3.13/Python.h",
                    "line": 68,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 198,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/python3.13/object.h",
                    "line": 848,
                    "column": 25,
                    "event": "note",
                    "message": "(21) inlined call to ‘Py_INCREF’ from ‘SWIG_Py_Void’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1607,
                    "column": 3,
                    "event": "note",
                    "message": "in expansion of macro ‘Py_INCREF’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/python3.13/object.h",
                    "line": 826,
                    "column": 17,
                    "event": "note",
                    "message": "(22) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘SWIG_Python_InstallConstants’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1151,
                    "column": 57,
                    "event": "note",
                    "message": "(23) returning to ‘SWIG_Python_InstallConstants’ from ‘SWIG_Python_NewPackedObj’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6888,
                    "column": 15,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_NewPackedObj’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6894,
                    "column": 10,
                    "event": "note",
                    "message": "(24) following ‘true’ branch (when ‘obj’ is non-NULL)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6895,
                    "column": 9,
                    "event": "note",
                    "message": "(25) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/python3.13/object.h",
                    "line": 954,
                    "column": 23,
                    "event": "note",
                    "message": "(26) inlined call to ‘Py_DECREF’ from ‘SWIG_Python_InstallConstants’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6896,
                    "column": 9,
                    "event": "note",
                    "message": "in expansion of macro ‘Py_DECREF’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/python3.13/object.h",
                    "line": 946,
                    "column": 8,
                    "event": "note",
                    "message": "(27) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘SWIG_Python_InstallConstants’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6882,
                    "column": 36,
                    "event": "note",
                    "message": "(28) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6882,
                    "column": 29,
                    "event": "note",
                    "message": "(29) out-of-bounds read from byte 48 till byte 51 but ‘swig_const_table’ ends at byte 48",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6882,
                    "column": 29,
                    "event": "note",
                    "message": "read of 4 bytes from after the end of ‘swig_const_table’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6882,
                    "column": 29,
                    "event": "note",
                    "message": "valid subscripts for ‘swig_const_table’ are ‘[0]’ to ‘[0]’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "                                                          └───────────────────────┘",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "                                                                      ^",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 126,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1143,
                    "column": 57,
                    "event": "warning[-Wanalyzer-out-of-bounds]",
                    "message": "buffer over-read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6885,
                    "column": 15,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_InternalNewPointerObj’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6627,
                    "column": 24,
                    "event": "note",
                    "message": "(1) capacity: 48 bytes",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 3202,
                    "column": 24,
                    "event": "note",
                    "message": "(2) entry to ‘PyInit__pyiso9660’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6967,
                    "column": 1,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_init’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 7046,
                    "column": 3,
                    "event": "note",
                    "message": "(3) calling ‘SWIG_InitializeModule’ from ‘PyInit__pyiso9660’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6690,
                    "column": 1,
                    "event": "note",
                    "message": "(4) entry to ‘SWIG_InitializeModule’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1168,
                    "column": 57,
                    "event": "note",
                    "message": "(5) calling ‘SWIG_Python_GetModule’ from ‘SWIG_InitializeModule’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6707,
                    "column": 17,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_GetModule’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2893,
                    "column": 1,
                    "event": "note",
                    "message": "(6) entry to ‘SWIG_Python_GetModule’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2902,
                    "column": 6,
                    "event": "note",
                    "message": "(7) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2907,
                    "column": 10,
                    "event": "note",
                    "message": "(8) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1168,
                    "column": 57,
                    "event": "note",
                    "message": "(9) returning to ‘SWIG_InitializeModule’ from ‘SWIG_Python_GetModule’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6707,
                    "column": 17,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_GetModule’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6708,
                    "column": 6,
                    "event": "note",
                    "message": "(10) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "cc1",
                    "line": 0,
                    "event": "note",
                    "message": "(11) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 7046,
                    "column": 3,
                    "event": "note",
                    "message": "(12) returning to ‘PyInit__pyiso9660’ from ‘SWIG_InitializeModule’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1336,
                    "column": 55,
                    "event": "note",
                    "message": "(13) calling ‘SWIG_Python_InstallConstants’ from ‘PyInit__pyiso9660’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 7086,
                    "column": 3,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_InstallConstants’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6879,
                    "column": 3,
                    "event": "note",
                    "message": "(14) entry to ‘SWIG_Python_InstallConstants’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6882,
                    "column": 17,
                    "event": "note",
                    "message": "(15) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6883,
                    "column": 7,
                    "event": "note",
                    "message": "(16) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1151,
                    "column": 57,
                    "event": "note",
                    "message": "(17) calling ‘SWIG_Python_NewPackedObj’ from ‘SWIG_Python_InstallConstants’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6888,
                    "column": 15,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_NewPackedObj’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2869,
                    "column": 1,
                    "event": "note",
                    "message": "(18) entry to ‘SWIG_Python_NewPackedObj’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2870,
                    "column": 57,
                    "event": "note",
                    "message": "(19) following ‘false’ branch (when ‘ptr’ is NULL)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2870,
                    "column": 59,
                    "event": "note",
                    "message": "(20) inlined call to ‘SWIG_Py_Void’ from ‘SWIG_Python_NewPackedObj’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/python3.13/object.h",
                    "line": 848,
                    "column": 25,
                    "event": "note",
                    "message": "(21) inlined call to ‘Py_INCREF’ from ‘SWIG_Py_Void’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1607,
                    "column": 3,
                    "event": "note",
                    "message": "in expansion of macro ‘Py_INCREF’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/python3.13/object.h",
                    "line": 826,
                    "column": 17,
                    "event": "note",
                    "message": "(22) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘SWIG_Python_InstallConstants’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1151,
                    "column": 57,
                    "event": "note",
                    "message": "(23) returning to ‘SWIG_Python_InstallConstants’ from ‘SWIG_Python_NewPackedObj’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6888,
                    "column": 15,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_NewPackedObj’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6894,
                    "column": 10,
                    "event": "note",
                    "message": "(24) following ‘true’ branch (when ‘obj’ is non-NULL)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6895,
                    "column": 9,
                    "event": "note",
                    "message": "(25) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/python3.13/object.h",
                    "line": 954,
                    "column": 23,
                    "event": "note",
                    "message": "(26) inlined call to ‘Py_DECREF’ from ‘SWIG_Python_InstallConstants’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6896,
                    "column": 9,
                    "event": "note",
                    "message": "in expansion of macro ‘Py_DECREF’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/python3.13/object.h",
                    "line": 946,
                    "column": 8,
                    "event": "note",
                    "message": "(27) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘SWIG_Python_InstallConstants’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6882,
                    "column": 36,
                    "event": "note",
                    "message": "(28) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6882,
                    "column": 17,
                    "event": "note",
                    "message": "(29) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6883,
                    "column": 7,
                    "event": "note",
                    "message": "(30) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6883,
                    "column": 7,
                    "event": "note",
                    "message": "(31) following ‘case 4:’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6884,
                    "column": 7,
                    "event": "note",
                    "message": "(32) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1143,
                    "column": 57,
                    "event": "note",
                    "message": "(33) out-of-bounds read from byte 80 till byte 87 but ‘swig_const_table’ ends at byte 48",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6885,
                    "column": 15,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_InternalNewPointerObj’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1143,
                    "column": 57,
                    "event": "note",
                    "message": "read of 8 bytes from after the end of ‘swig_const_table’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6885,
                    "column": 15,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_InternalNewPointerObj’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1143,
                    "column": 57,
                    "event": "note",
                    "message": "valid subscripts for ‘swig_const_table’ are ‘[0]’ to ‘[0]’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6885,
                    "column": 15,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_InternalNewPointerObj’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "                                                            └──────────────────────────┘",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "                                                                         ^",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 126,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6885,
                    "column": 78,
                    "event": "warning[-Wanalyzer-out-of-bounds]",
                    "message": "buffer over-read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1143,
                    "column": 94,
                    "event": "note",
                    "message": "in definition of macro ‘SWIG_InternalNewPointerObj’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6627,
                    "column": 24,
                    "event": "note",
                    "message": "(1) capacity: 48 bytes",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 3202,
                    "column": 24,
                    "event": "note",
                    "message": "(2) entry to ‘PyInit__pyiso9660’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6967,
                    "column": 1,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_init’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 7046,
                    "column": 3,
                    "event": "note",
                    "message": "(3) calling ‘SWIG_InitializeModule’ from ‘PyInit__pyiso9660’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6690,
                    "column": 1,
                    "event": "note",
                    "message": "(4) entry to ‘SWIG_InitializeModule’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1168,
                    "column": 57,
                    "event": "note",
                    "message": "(5) calling ‘SWIG_Python_GetModule’ from ‘SWIG_InitializeModule’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6707,
                    "column": 17,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_GetModule’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2893,
                    "column": 1,
                    "event": "note",
                    "message": "(6) entry to ‘SWIG_Python_GetModule’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2902,
                    "column": 6,
                    "event": "note",
                    "message": "(7) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2907,
                    "column": 10,
                    "event": "note",
                    "message": "(8) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1168,
                    "column": 57,
                    "event": "note",
                    "message": "(9) returning to ‘SWIG_InitializeModule’ from ‘SWIG_Python_GetModule’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6707,
                    "column": 17,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_GetModule’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6708,
                    "column": 6,
                    "event": "note",
                    "message": "(10) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "cc1",
                    "line": 0,
                    "event": "note",
                    "message": "(11) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 7046,
                    "column": 3,
                    "event": "note",
                    "message": "(12) returning to ‘PyInit__pyiso9660’ from ‘SWIG_InitializeModule’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1336,
                    "column": 55,
                    "event": "note",
                    "message": "(13) calling ‘SWIG_Python_InstallConstants’ from ‘PyInit__pyiso9660’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 7086,
                    "column": 3,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_InstallConstants’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6879,
                    "column": 3,
                    "event": "note",
                    "message": "(14) entry to ‘SWIG_Python_InstallConstants’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6882,
                    "column": 17,
                    "event": "note",
                    "message": "(15) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6883,
                    "column": 7,
                    "event": "note",
                    "message": "(16) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1151,
                    "column": 57,
                    "event": "note",
                    "message": "(17) calling ‘SWIG_Python_NewPackedObj’ from ‘SWIG_Python_InstallConstants’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6888,
                    "column": 15,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_NewPackedObj’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2869,
                    "column": 1,
                    "event": "note",
                    "message": "(18) entry to ‘SWIG_Python_NewPackedObj’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2870,
                    "column": 57,
                    "event": "note",
                    "message": "(19) following ‘false’ branch (when ‘ptr’ is NULL)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2870,
                    "column": 59,
                    "event": "note",
                    "message": "(20) inlined call to ‘SWIG_Py_Void’ from ‘SWIG_Python_NewPackedObj’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/python3.13/object.h",
                    "line": 848,
                    "column": 25,
                    "event": "note",
                    "message": "(21) inlined call to ‘Py_INCREF’ from ‘SWIG_Py_Void’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1607,
                    "column": 3,
                    "event": "note",
                    "message": "in expansion of macro ‘Py_INCREF’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/python3.13/object.h",
                    "line": 826,
                    "column": 17,
                    "event": "note",
                    "message": "(22) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘SWIG_Python_InstallConstants’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1151,
                    "column": 57,
                    "event": "note",
                    "message": "(23) returning to ‘SWIG_Python_InstallConstants’ from ‘SWIG_Python_NewPackedObj’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6888,
                    "column": 15,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_NewPackedObj’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6894,
                    "column": 10,
                    "event": "note",
                    "message": "(24) following ‘true’ branch (when ‘obj’ is non-NULL)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6895,
                    "column": 9,
                    "event": "note",
                    "message": "(25) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/python3.13/object.h",
                    "line": 954,
                    "column": 23,
                    "event": "note",
                    "message": "(26) inlined call to ‘Py_DECREF’ from ‘SWIG_Python_InstallConstants’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6896,
                    "column": 9,
                    "event": "note",
                    "message": "in expansion of macro ‘Py_DECREF’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/python3.13/object.h",
                    "line": 946,
                    "column": 8,
                    "event": "note",
                    "message": "(27) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘SWIG_Python_InstallConstants’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6882,
                    "column": 36,
                    "event": "note",
                    "message": "(28) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6882,
                    "column": 17,
                    "event": "note",
                    "message": "(29) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6883,
                    "column": 7,
                    "event": "note",
                    "message": "(30) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6883,
                    "column": 7,
                    "event": "note",
                    "message": "(31) following ‘case 4:’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6884,
                    "column": 7,
                    "event": "note",
                    "message": "(32) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6885,
                    "column": 78,
                    "event": "note",
                    "message": "(33) out-of-bounds read from byte 88 till byte 95 but ‘swig_const_table’ ends at byte 48",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1143,
                    "column": 94,
                    "event": "note",
                    "message": "in definition of macro ‘SWIG_InternalNewPointerObj’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6885,
                    "column": 78,
                    "event": "note",
                    "message": "read of 8 bytes from after the end of ‘swig_const_table’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1143,
                    "column": 94,
                    "event": "note",
                    "message": "in definition of macro ‘SWIG_InternalNewPointerObj’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6885,
                    "column": 78,
                    "event": "note",
                    "message": "valid subscripts for ‘swig_const_table’ are ‘[0]’ to ‘[0]’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1143,
                    "column": 94,
                    "event": "note",
                    "message": "in definition of macro ‘SWIG_InternalNewPointerObj’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "                                                            └─────────────────────────────────────────────┘",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "                                                                                   ^",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 126,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1151,
                    "column": 57,
                    "event": "warning[-Wanalyzer-out-of-bounds]",
                    "message": "buffer over-read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6888,
                    "column": 15,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_NewPackedObj’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6627,
                    "column": 24,
                    "event": "note",
                    "message": "(1) capacity: 48 bytes",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 3202,
                    "column": 24,
                    "event": "note",
                    "message": "(2) entry to ‘PyInit__pyiso9660’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6967,
                    "column": 1,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_init’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 7046,
                    "column": 3,
                    "event": "note",
                    "message": "(3) calling ‘SWIG_InitializeModule’ from ‘PyInit__pyiso9660’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6690,
                    "column": 1,
                    "event": "note",
                    "message": "(4) entry to ‘SWIG_InitializeModule’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1168,
                    "column": 57,
                    "event": "note",
                    "message": "(5) calling ‘SWIG_Python_GetModule’ from ‘SWIG_InitializeModule’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6707,
                    "column": 17,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_GetModule’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2893,
                    "column": 1,
                    "event": "note",
                    "message": "(6) entry to ‘SWIG_Python_GetModule’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2902,
                    "column": 6,
                    "event": "note",
                    "message": "(7) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2907,
                    "column": 10,
                    "event": "note",
                    "message": "(8) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1168,
                    "column": 57,
                    "event": "note",
                    "message": "(9) returning to ‘SWIG_InitializeModule’ from ‘SWIG_Python_GetModule’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6707,
                    "column": 17,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_GetModule’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6708,
                    "column": 6,
                    "event": "note",
                    "message": "(10) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "cc1",
                    "line": 0,
                    "event": "note",
                    "message": "(11) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 7046,
                    "column": 3,
                    "event": "note",
                    "message": "(12) returning to ‘PyInit__pyiso9660’ from ‘SWIG_InitializeModule’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1336,
                    "column": 55,
                    "event": "note",
                    "message": "(13) calling ‘SWIG_Python_InstallConstants’ from ‘PyInit__pyiso9660’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 7086,
                    "column": 3,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_InstallConstants’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6879,
                    "column": 3,
                    "event": "note",
                    "message": "(14) entry to ‘SWIG_Python_InstallConstants’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6882,
                    "column": 17,
                    "event": "note",
                    "message": "(15) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6883,
                    "column": 7,
                    "event": "note",
                    "message": "(16) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1151,
                    "column": 57,
                    "event": "note",
                    "message": "(17) calling ‘SWIG_Python_NewPackedObj’ from ‘SWIG_Python_InstallConstants’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6888,
                    "column": 15,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_NewPackedObj’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2869,
                    "column": 1,
                    "event": "note",
                    "message": "(18) entry to ‘SWIG_Python_NewPackedObj’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2870,
                    "column": 57,
                    "event": "note",
                    "message": "(19) following ‘false’ branch (when ‘ptr’ is NULL)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2870,
                    "column": 59,
                    "event": "note",
                    "message": "(20) inlined call to ‘SWIG_Py_Void’ from ‘SWIG_Python_NewPackedObj’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/python3.13/object.h",
                    "line": 848,
                    "column": 25,
                    "event": "note",
                    "message": "(21) inlined call to ‘Py_INCREF’ from ‘SWIG_Py_Void’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1607,
                    "column": 3,
                    "event": "note",
                    "message": "in expansion of macro ‘Py_INCREF’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/python3.13/object.h",
                    "line": 826,
                    "column": 17,
                    "event": "note",
                    "message": "(22) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘SWIG_Python_InstallConstants’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1151,
                    "column": 57,
                    "event": "note",
                    "message": "(23) returning to ‘SWIG_Python_InstallConstants’ from ‘SWIG_Python_NewPackedObj’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6888,
                    "column": 15,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_NewPackedObj’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6894,
                    "column": 10,
                    "event": "note",
                    "message": "(24) following ‘true’ branch (when ‘obj’ is non-NULL)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6895,
                    "column": 9,
                    "event": "note",
                    "message": "(25) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/python3.13/object.h",
                    "line": 954,
                    "column": 23,
                    "event": "note",
                    "message": "(26) inlined call to ‘Py_DECREF’ from ‘SWIG_Python_InstallConstants’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6896,
                    "column": 9,
                    "event": "note",
                    "message": "in expansion of macro ‘Py_DECREF’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/python3.13/object.h",
                    "line": 946,
                    "column": 8,
                    "event": "note",
                    "message": "(27) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘SWIG_Python_InstallConstants’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6882,
                    "column": 36,
                    "event": "note",
                    "message": "(28) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6882,
                    "column": 17,
                    "event": "note",
                    "message": "(29) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6883,
                    "column": 7,
                    "event": "note",
                    "message": "(30) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6883,
                    "column": 7,
                    "event": "note",
                    "message": "(31) following ‘case 5:’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6887,
                    "column": 7,
                    "event": "note",
                    "message": "(32) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1151,
                    "column": 57,
                    "event": "note",
                    "message": "(33) out-of-bounds read from byte 80 till byte 87 but ‘swig_const_table’ ends at byte 48",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6888,
                    "column": 15,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_NewPackedObj’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1151,
                    "column": 57,
                    "event": "note",
                    "message": "read of 8 bytes from after the end of ‘swig_const_table’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6888,
                    "column": 15,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_NewPackedObj’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1151,
                    "column": 57,
                    "event": "note",
                    "message": "valid subscripts for ‘swig_const_table’ are ‘[0]’ to ‘[0]’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6888,
                    "column": 15,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_NewPackedObj’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "                                                            └──────────────────────────┘",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "                                                                         ^",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 126,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6888,
                    "column": 66,
                    "event": "warning[-Wanalyzer-out-of-bounds]",
                    "message": "buffer over-read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1151,
                    "column": 87,
                    "event": "note",
                    "message": "in definition of macro ‘SWIG_NewPackedObj’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6627,
                    "column": 24,
                    "event": "note",
                    "message": "(1) capacity: 48 bytes",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 3202,
                    "column": 24,
                    "event": "note",
                    "message": "(2) entry to ‘PyInit__pyiso9660’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6967,
                    "column": 1,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_init’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 7046,
                    "column": 3,
                    "event": "note",
                    "message": "(3) calling ‘SWIG_InitializeModule’ from ‘PyInit__pyiso9660’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6690,
                    "column": 1,
                    "event": "note",
                    "message": "(4) entry to ‘SWIG_InitializeModule’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1168,
                    "column": 57,
                    "event": "note",
                    "message": "(5) calling ‘SWIG_Python_GetModule’ from ‘SWIG_InitializeModule’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6707,
                    "column": 17,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_GetModule’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2893,
                    "column": 1,
                    "event": "note",
                    "message": "(6) entry to ‘SWIG_Python_GetModule’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2902,
                    "column": 6,
                    "event": "note",
                    "message": "(7) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2907,
                    "column": 10,
                    "event": "note",
                    "message": "(8) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1168,
                    "column": 57,
                    "event": "note",
                    "message": "(9) returning to ‘SWIG_InitializeModule’ from ‘SWIG_Python_GetModule’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6707,
                    "column": 17,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_GetModule’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6708,
                    "column": 6,
                    "event": "note",
                    "message": "(10) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "cc1",
                    "line": 0,
                    "event": "note",
                    "message": "(11) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 7046,
                    "column": 3,
                    "event": "note",
                    "message": "(12) returning to ‘PyInit__pyiso9660’ from ‘SWIG_InitializeModule’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1336,
                    "column": 55,
                    "event": "note",
                    "message": "(13) calling ‘SWIG_Python_InstallConstants’ from ‘PyInit__pyiso9660’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 7086,
                    "column": 3,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_InstallConstants’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6879,
                    "column": 3,
                    "event": "note",
                    "message": "(14) entry to ‘SWIG_Python_InstallConstants’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6882,
                    "column": 17,
                    "event": "note",
                    "message": "(15) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6883,
                    "column": 7,
                    "event": "note",
                    "message": "(16) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1151,
                    "column": 57,
                    "event": "note",
                    "message": "(17) calling ‘SWIG_Python_NewPackedObj’ from ‘SWIG_Python_InstallConstants’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6888,
                    "column": 15,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_NewPackedObj’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2869,
                    "column": 1,
                    "event": "note",
                    "message": "(18) entry to ‘SWIG_Python_NewPackedObj’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2870,
                    "column": 57,
                    "event": "note",
                    "message": "(19) following ‘false’ branch (when ‘ptr’ is NULL)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2870,
                    "column": 59,
                    "event": "note",
                    "message": "(20) inlined call to ‘SWIG_Py_Void’ from ‘SWIG_Python_NewPackedObj’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/python3.13/object.h",
                    "line": 848,
                    "column": 25,
                    "event": "note",
                    "message": "(21) inlined call to ‘Py_INCREF’ from ‘SWIG_Py_Void’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1607,
                    "column": 3,
                    "event": "note",
                    "message": "in expansion of macro ‘Py_INCREF’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/python3.13/object.h",
                    "line": 826,
                    "column": 17,
                    "event": "note",
                    "message": "(22) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘SWIG_Python_InstallConstants’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1151,
                    "column": 57,
                    "event": "note",
                    "message": "(23) returning to ‘SWIG_Python_InstallConstants’ from ‘SWIG_Python_NewPackedObj’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6888,
                    "column": 15,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_NewPackedObj’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6894,
                    "column": 10,
                    "event": "note",
                    "message": "(24) following ‘true’ branch (when ‘obj’ is non-NULL)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6895,
                    "column": 9,
                    "event": "note",
                    "message": "(25) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/python3.13/object.h",
                    "line": 954,
                    "column": 23,
                    "event": "note",
                    "message": "(26) inlined call to ‘Py_DECREF’ from ‘SWIG_Python_InstallConstants’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6896,
                    "column": 9,
                    "event": "note",
                    "message": "in expansion of macro ‘Py_DECREF’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/python3.13/object.h",
                    "line": 946,
                    "column": 8,
                    "event": "note",
                    "message": "(27) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘SWIG_Python_InstallConstants’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6882,
                    "column": 36,
                    "event": "note",
                    "message": "(28) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6882,
                    "column": 17,
                    "event": "note",
                    "message": "(29) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6883,
                    "column": 7,
                    "event": "note",
                    "message": "(30) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6883,
                    "column": 7,
                    "event": "note",
                    "message": "(31) following ‘case 5:’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6887,
                    "column": 7,
                    "event": "note",
                    "message": "(32) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6888,
                    "column": 66,
                    "event": "note",
                    "message": "(33) out-of-bounds read from byte 64 till byte 71 but ‘swig_const_table’ ends at byte 48",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1151,
                    "column": 87,
                    "event": "note",
                    "message": "in definition of macro ‘SWIG_NewPackedObj’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6888,
                    "column": 66,
                    "event": "note",
                    "message": "read of 8 bytes from after the end of ‘swig_const_table’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1151,
                    "column": 87,
                    "event": "note",
                    "message": "in definition of macro ‘SWIG_NewPackedObj’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6888,
                    "column": 66,
                    "event": "note",
                    "message": "valid subscripts for ‘swig_const_table’ are ‘[0]’ to ‘[0]’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1151,
                    "column": 87,
                    "event": "note",
                    "message": "in definition of macro ‘SWIG_NewPackedObj’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "                                                            └────────────────────────────┘",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "                                                                          ^",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 126,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6888,
                    "column": 89,
                    "event": "warning[-Wanalyzer-out-of-bounds]",
                    "message": "buffer over-read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1151,
                    "column": 91,
                    "event": "note",
                    "message": "in definition of macro ‘SWIG_NewPackedObj’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6627,
                    "column": 24,
                    "event": "note",
                    "message": "(1) capacity: 48 bytes",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 3202,
                    "column": 24,
                    "event": "note",
                    "message": "(2) entry to ‘PyInit__pyiso9660’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6967,
                    "column": 1,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_init’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 7046,
                    "column": 3,
                    "event": "note",
                    "message": "(3) calling ‘SWIG_InitializeModule’ from ‘PyInit__pyiso9660’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6690,
                    "column": 1,
                    "event": "note",
                    "message": "(4) entry to ‘SWIG_InitializeModule’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1168,
                    "column": 57,
                    "event": "note",
                    "message": "(5) calling ‘SWIG_Python_GetModule’ from ‘SWIG_InitializeModule’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6707,
                    "column": 17,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_GetModule’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2893,
                    "column": 1,
                    "event": "note",
                    "message": "(6) entry to ‘SWIG_Python_GetModule’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2902,
                    "column": 6,
                    "event": "note",
                    "message": "(7) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2907,
                    "column": 10,
                    "event": "note",
                    "message": "(8) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1168,
                    "column": 57,
                    "event": "note",
                    "message": "(9) returning to ‘SWIG_InitializeModule’ from ‘SWIG_Python_GetModule’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6707,
                    "column": 17,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_GetModule’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6708,
                    "column": 6,
                    "event": "note",
                    "message": "(10) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "cc1",
                    "line": 0,
                    "event": "note",
                    "message": "(11) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 7046,
                    "column": 3,
                    "event": "note",
                    "message": "(12) returning to ‘PyInit__pyiso9660’ from ‘SWIG_InitializeModule’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1336,
                    "column": 55,
                    "event": "note",
                    "message": "(13) calling ‘SWIG_Python_InstallConstants’ from ‘PyInit__pyiso9660’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 7086,
                    "column": 3,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_InstallConstants’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6879,
                    "column": 3,
                    "event": "note",
                    "message": "(14) entry to ‘SWIG_Python_InstallConstants’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6882,
                    "column": 17,
                    "event": "note",
                    "message": "(15) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6883,
                    "column": 7,
                    "event": "note",
                    "message": "(16) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1151,
                    "column": 57,
                    "event": "note",
                    "message": "(17) calling ‘SWIG_Python_NewPackedObj’ from ‘SWIG_Python_InstallConstants’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6888,
                    "column": 15,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_NewPackedObj’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2869,
                    "column": 1,
                    "event": "note",
                    "message": "(18) entry to ‘SWIG_Python_NewPackedObj’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2870,
                    "column": 57,
                    "event": "note",
                    "message": "(19) following ‘false’ branch (when ‘ptr’ is NULL)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 2870,
                    "column": 59,
                    "event": "note",
                    "message": "(20) inlined call to ‘SWIG_Py_Void’ from ‘SWIG_Python_NewPackedObj’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/python3.13/object.h",
                    "line": 848,
                    "column": 25,
                    "event": "note",
                    "message": "(21) inlined call to ‘Py_INCREF’ from ‘SWIG_Py_Void’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1607,
                    "column": 3,
                    "event": "note",
                    "message": "in expansion of macro ‘Py_INCREF’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/python3.13/object.h",
                    "line": 826,
                    "column": 17,
                    "event": "note",
                    "message": "(22) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘SWIG_Python_InstallConstants’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1151,
                    "column": 57,
                    "event": "note",
                    "message": "(23) returning to ‘SWIG_Python_InstallConstants’ from ‘SWIG_Python_NewPackedObj’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6888,
                    "column": 15,
                    "event": "note",
                    "message": "in expansion of macro ‘SWIG_NewPackedObj’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6894,
                    "column": 10,
                    "event": "note",
                    "message": "(24) following ‘true’ branch (when ‘obj’ is non-NULL)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6895,
                    "column": 9,
                    "event": "note",
                    "message": "(25) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/python3.13/object.h",
                    "line": 954,
                    "column": 23,
                    "event": "note",
                    "message": "(26) inlined call to ‘Py_DECREF’ from ‘SWIG_Python_InstallConstants’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6896,
                    "column": 9,
                    "event": "note",
                    "message": "in expansion of macro ‘Py_DECREF’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/python3.13/object.h",
                    "line": 946,
                    "column": 8,
                    "event": "note",
                    "message": "(27) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘SWIG_Python_InstallConstants’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6882,
                    "column": 36,
                    "event": "note",
                    "message": "(28) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6882,
                    "column": 17,
                    "event": "note",
                    "message": "(29) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6883,
                    "column": 7,
                    "event": "note",
                    "message": "(30) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6883,
                    "column": 7,
                    "event": "note",
                    "message": "(31) following ‘case 5:’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6887,
                    "column": 7,
                    "event": "note",
                    "message": "(32) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6888,
                    "column": 89,
                    "event": "note",
                    "message": "(33) out-of-bounds read from byte 88 till byte 95 but ‘swig_const_table’ ends at byte 48",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1151,
                    "column": 91,
                    "event": "note",
                    "message": "in definition of macro ‘SWIG_NewPackedObj’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6888,
                    "column": 89,
                    "event": "note",
                    "message": "read of 8 bytes from after the end of ‘swig_const_table’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1151,
                    "column": 91,
                    "event": "note",
                    "message": "in definition of macro ‘SWIG_NewPackedObj’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 6888,
                    "column": 89,
                    "event": "note",
                    "message": "valid subscripts for ‘swig_const_table’ are ‘[0]’ to ‘[0]’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/python-pycdio-2.1.0-build/pycdio-2.1.0/swig/pyiso9660_wrap.c",
                    "line": 1151,
                    "column": 91,
                    "event": "note",
                    "message": "in definition of macro ‘SWIG_NewPackedObj’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "                                                            └─────────────────────────────────────────────┘",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "                                                                                   ^",
                    "verbosity_level": 1
                }
            ]
        }
    ]
}
